<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Connexion/Inscription')">
</head>

<body>
    <nav th:replace="@{/include/navbar}"></nav>

    <main>
        <div class="container-fluid p-0"><img src="img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>
        <div class="container">
            <div class="text-white m-5">
                <h2>Se connecter</h2>
                <div class="card w-75 mx-auto">
                    <div class="card-body">
                        <p th:if="${feedback}" th:text="${feedback}"></p>
                        <form th:action="@{/login}" method="post" novalidate="">
                            <label for="email" class="form-label text-dark">Email :</label>
                            <input type="email" id="email" class="form-control" name="username"
                                placeholder="exemple@exemple.com">
                            <p class="text-danger" th:errors="${user.email}"></p>
                            <label for="password" class="form-label text-dark mt-1">Mot de passe :</label>
                            <input type="password" id="password" class="form-control" name="password"
                                placeholder="Mot de passe de plus de 8 caractères">
                            <p class="text-danger" th:errors="${user.password}"></p>
                            <button class="btn btn-success mt-3">Connexion</button>
                        </form>
                        <a th:href="@{/register}" class="btn btn-primary d-block my-4 p-3">Créer un compte</a>
                    </div>
                </div>
            </div>
        </div>

    </main>


    <div th:replace="@{/include/footer}"></div>
    <div th:fragment="foot"></div>
</body>

</html>